[10/24] ruby: Upgrade to 1.5.1

Message ID 65f84677b46cae1369973753fa7a9bc732248a4c.1525029885.git.raj.khem@gmail.com
State Superseded
Headers show
Series
  • ssp rework and glibc drop obsolete nsl/rpc
Related show

Commit Message

Khem Raj April 29, 2018, 7:35 p.m.
License Update: https://github.com/ruby/ruby/commit/322d0d93adfe42fc89c574f67bcb9acb9b82f251#diff-c53151ffd180a17416e8f09b1ca4bfc3

Signed-off-by: Khem Raj <raj.khem@gmail.com>

---
 meta/recipes-devtools/ruby/ruby.inc                   | 11 +++++------
 .../ruby/{ruby_2.5.0.bb => ruby_2.5.1.bb}             |  4 ++--
 2 files changed, 7 insertions(+), 8 deletions(-)
 rename meta/recipes-devtools/ruby/{ruby_2.5.0.bb => ruby_2.5.1.bb} (90%)

-- 
2.17.0

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Comments

Martin Jansa April 30, 2018, 1:35 p.m. | #1
There is typo in commit summary, it's 2.5.1 not 1.5.1

On Sun, Apr 29, 2018 at 9:35 PM, Khem Raj <raj.khem@gmail.com> wrote:

> License Update: https://github.com/ruby/ruby/commit/

> 322d0d93adfe42fc89c574f67bcb9acb9b82f251#diff-

> c53151ffd180a17416e8f09b1ca4bfc3

>

> Signed-off-by: Khem Raj <raj.khem@gmail.com>

> ---

>  meta/recipes-devtools/ruby/ruby.inc                   | 11 +++++------

>  .../ruby/{ruby_2.5.0.bb => ruby_2.5.1.bb}             |  4 ++--

>  2 files changed, 7 insertions(+), 8 deletions(-)

>  rename meta/recipes-devtools/ruby/{ruby_2.5.0.bb => ruby_2.5.1.bb} (90%)

>

> diff --git a/meta/recipes-devtools/ruby/ruby.inc

> b/meta/recipes-devtools/ruby/ruby.inc

> index fd3911ba75..a366e93f66 100644

> --- a/meta/recipes-devtools/ruby/ruby.inc

> +++ b/meta/recipes-devtools/ruby/ruby.inc

> @@ -7,12 +7,11 @@ It is simple, straight-forward, and extensible. \

>  HOMEPAGE = "http://www.ruby-lang.org/"

>  SECTION = "devel/ruby"

>  LICENSE = "Ruby | BSD | GPLv2"

> -LIC_FILES_CHKSUM = "\

> -    file://COPYING;md5=340948e1882e579731841bf49cdc22c1 \

> -    file://BSDL;md5=19aaf65c88a40b508d17ae4be539c4b5\

> -    file://GPL;md5=b234ee4d69f5fce4486a80fdaf4a4263\

> -    file://LEGAL;md5=8f871f3f03732c018a5fa9b185958231 \

> -"

> +LIC_FILES_CHKSUM = "file://COPYING;md5=340948e1882e579731841bf49cdc22c1 \

> +                    file://BSDL;md5=19aaf65c88a40b508d17ae4be539c4b5 \

> +                    file://GPL;md5=b234ee4d69f5fce4486a80fdaf4a4263 \

> +                    file://LEGAL;md5=23a79bb4c1a40f6cc9bcb6f4e7c39799 \

> +                    "

>

>  DEPENDS = "ruby-native zlib openssl tcl libyaml gdbm readline"

>  DEPENDS_class-native = "openssl-native libyaml-native"

> diff --git a/meta/recipes-devtools/ruby/ruby_2.5.0.bb

> b/meta/recipes-devtools/ruby/ruby_2.5.1.bb

> similarity index 90%

> rename from meta/recipes-devtools/ruby/ruby_2.5.0.bb

> rename to meta/recipes-devtools/ruby/ruby_2.5.1.bb

> index 1ac7f2aa5a..91048284c1 100644

> --- a/meta/recipes-devtools/ruby/ruby_2.5.0.bb

> +++ b/meta/recipes-devtools/ruby/ruby_2.5.1.bb

> @@ -5,8 +5,8 @@ SRC_URI += " \

>             file://ruby-CVE-2017-9228.patch \

>             "

>

> -SRC_URI[md5sum] = "f4711f856fe14de222b9da3d3b8efa89"

> -SRC_URI[sha256sum] = "46e6f3630f1888eb653b15fa811d77

> b5b1df6fd7a3af436b343cfe4f4503f2ab"

> +SRC_URI[md5sum] = "23867bc8c16c55e43b14dfe0614bcfa8"

> +SRC_URI[sha256sum] = "dac81822325b79c3ba9532b048c212

> 3357d3310b2b40024202f360251d9829b1"

>

>  # it's unknown to configure script, but then passed to extconf.rb

>  # maybe it's not really needed as we're hardcoding the result with

> --

> 2.17.0

>

> --

> _______________________________________________

> Openembedded-core mailing list

> Openembedded-core@lists.openembedded.org

> http://lists.openembedded.org/mailman/listinfo/openembedded-core

>
<div dir="ltr">There is typo in commit summary, it&#39;s 2.5.1 not 1.5.1</div><div class="gmail_extra"><br><div class="gmail_quote">On Sun, Apr 29, 2018 at 9:35 PM, Khem Raj <span dir="ltr">&lt;<a href="mailto:raj.khem@gmail.com" target="_blank">raj.khem@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">License Update: <a href="https://github.com/ruby/ruby/commit/322d0d93adfe42fc89c574f67bcb9acb9b82f251#diff-c53151ffd180a17416e8f09b1ca4bfc3" rel="noreferrer" target="_blank">https://github.com/ruby/ruby/<wbr>commit/<wbr>322d0d93adfe42fc89c574f67bcb9a<wbr>cb9b82f251#diff-<wbr>c53151ffd180a17416e8f09b1ca4bf<wbr>c3</a><br>
<br>
Signed-off-by: Khem Raj &lt;<a href="mailto:raj.khem@gmail.com">raj.khem@gmail.com</a>&gt;<br>

---<br>
 meta/recipes-devtools/ruby/<wbr>ruby.inc                   | 11 +++++------<br>
 .../ruby/{<a href="http://ruby_2.5.0.bb" rel="noreferrer" target="_blank">ruby_2.5.0.bb</a> =&gt; <a href="http://ruby_2.5.1.bb" rel="noreferrer" target="_blank">ruby_2.5.1.bb</a>}             |  4 ++--<br>
 2 files changed, 7 insertions(+), 8 deletions(-)<br>
 rename meta/recipes-devtools/ruby/{<a href="http://ruby_2.5.0.bb" rel="noreferrer" target="_blank">ru<wbr>by_2.5.0.bb</a> =&gt; <a href="http://ruby_2.5.1.bb" rel="noreferrer" target="_blank">ruby_2.5.1.bb</a>} (90%)<br>
<br>
diff --git a/meta/recipes-devtools/ruby/<wbr>ruby.inc b/meta/recipes-devtools/ruby/<wbr>ruby.inc<br>
index fd3911ba75..a366e93f66 100644<br>
--- a/meta/recipes-devtools/ruby/<wbr>ruby.inc<br>
+++ b/meta/recipes-devtools/ruby/<wbr>ruby.inc<br>
@@ -7,12 +7,11 @@ It is simple, straight-forward, and extensible. \<br>
 HOMEPAGE = &quot;<a href="http://www.ruby-lang.org/" rel="noreferrer" target="_blank">http://www.ruby-lang.org/</a>&quot;<br>
 SECTION = &quot;devel/ruby&quot;<br>
 LICENSE = &quot;Ruby | BSD | GPLv2&quot;<br>
-LIC_FILES_CHKSUM = &quot;\<br>
-    file://COPYING;md5=<wbr>340948e1882e579731841bf49cdc22<wbr>c1 \<br>
-    file://BSDL;md5=<wbr>19aaf65c88a40b508d17ae4be539c4<wbr>b5\<br>
-    file://GPL;md5=<wbr>b234ee4d69f5fce4486a80fdaf4a42<wbr>63\<br>
-    file://LEGAL;md5=<wbr>8f871f3f03732c018a5fa9b1859582<wbr>31 \<br>
-&quot;<br>
+LIC_FILES_CHKSUM = &quot;file://COPYING;md5=<wbr>340948e1882e579731841bf49cdc22<wbr>c1 \<br>
+                    file://BSDL;md5=<wbr>19aaf65c88a40b508d17ae4be539c4<wbr>b5 \<br>
+                    file://GPL;md5=<wbr>b234ee4d69f5fce4486a80fdaf4a42<wbr>63 \<br>
+                    file://LEGAL;md5=<wbr>23a79bb4c1a40f6cc9bcb6f4e7c397<wbr>99 \<br>
+                    &quot;<br>
<br>
 DEPENDS = &quot;ruby-native zlib openssl tcl libyaml gdbm readline&quot;<br>
 DEPENDS_class-native = &quot;openssl-native libyaml-native&quot;<br>
diff --git a/meta/recipes-devtools/ruby/<a href="http://ruby_2.5.0.bb" rel="noreferrer" target="_blank">r<wbr>uby_2.5.0.bb</a> b/meta/recipes-devtools/ruby/<a href="http://ruby_2.5.1.bb" rel="noreferrer" target="_blank">r<wbr>uby_2.5.1.bb</a><br>
similarity index 90%<br>
rename from meta/recipes-devtools/ruby/<a href="http://ruby_2.5.0.bb" rel="noreferrer" target="_blank">rub<wbr>y_2.5.0.bb</a><br>
rename to meta/recipes-devtools/ruby/<a href="http://ruby_2.5.1.bb" rel="noreferrer" target="_blank">rub<wbr>y_2.5.1.bb</a><br>
index 1ac7f2aa5a..91048284c1 100644<br>
--- a/meta/recipes-devtools/ruby/<a href="http://ruby_2.5.0.bb" rel="noreferrer" target="_blank">r<wbr>uby_2.5.0.bb</a><br>
+++ b/meta/recipes-devtools/ruby/<a href="http://ruby_2.5.1.bb" rel="noreferrer" target="_blank">r<wbr>uby_2.5.1.bb</a><br>
@@ -5,8 +5,8 @@ SRC_URI += &quot; \<br>
            file://ruby-CVE-2017-9228.<wbr>patch \<br>
            &quot;<br>
<br>
-SRC_URI[md5sum] = &quot;<wbr>f4711f856fe14de222b9da3d3b8efa<wbr>89&quot;<br>
-SRC_URI[sha256sum] = &quot;<wbr>46e6f3630f1888eb653b15fa811d77<wbr>b5b1df6fd7a3af436b343cfe4f4503<wbr>f2ab&quot;<br>
+SRC_URI[md5sum] = &quot;<wbr>23867bc8c16c55e43b14dfe0614bcf<wbr>a8&quot;<br>
+SRC_URI[sha256sum] = &quot;<wbr>dac81822325b79c3ba9532b048c212<wbr>3357d3310b2b40024202f360251d98<wbr>29b1&quot;<br>
<br>
 # it&#39;s unknown to configure script, but then passed to extconf.rb<br>
 # maybe it&#39;s not really needed as we&#39;re hardcoding the result with<br>
<span class="HOEnZb"><font color="#888888">-- <br>
2.17.0<br>
<br>
-- <br>
______________________________<wbr>_________________<br>
Openembedded-core mailing list<br>
<a href="mailto:Openembedded-core@lists.openembedded.org">Openembedded-core@lists.<wbr>openembedded.org</a><br>
<a href="http://lists.openembedded.org/mailman/listinfo/openembedded-core" rel="noreferrer" target="_blank">http://lists.openembedded.org/<wbr>mailman/listinfo/openembedded-<wbr>core</a><br>
</font></span></blockquote></div><br></div>
-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core
Khem Raj April 30, 2018, 2:17 p.m. | #2
On Mon, Apr 30, 2018 at 6:35 AM, Martin Jansa <martin.jansa@gmail.com> wrote:
> There is typo in commit summary, it's 2.5.1 not 1.5.1

>


yes, fixed in v2

> On Sun, Apr 29, 2018 at 9:35 PM, Khem Raj <raj.khem@gmail.com> wrote:

>>

>> License Update:

>> https://github.com/ruby/ruby/commit/322d0d93adfe42fc89c574f67bcb9acb9b82f251#diff-c53151ffd180a17416e8f09b1ca4bfc3

>>

>> Signed-off-by: Khem Raj <raj.khem@gmail.com>

>> ---

>>  meta/recipes-devtools/ruby/ruby.inc                   | 11 +++++------

>>  .../ruby/{ruby_2.5.0.bb => ruby_2.5.1.bb}             |  4 ++--

>>  2 files changed, 7 insertions(+), 8 deletions(-)

>>  rename meta/recipes-devtools/ruby/{ruby_2.5.0.bb => ruby_2.5.1.bb} (90%)

>>

>> diff --git a/meta/recipes-devtools/ruby/ruby.inc

>> b/meta/recipes-devtools/ruby/ruby.inc

>> index fd3911ba75..a366e93f66 100644

>> --- a/meta/recipes-devtools/ruby/ruby.inc

>> +++ b/meta/recipes-devtools/ruby/ruby.inc

>> @@ -7,12 +7,11 @@ It is simple, straight-forward, and extensible. \

>>  HOMEPAGE = "http://www.ruby-lang.org/"

>>  SECTION = "devel/ruby"

>>  LICENSE = "Ruby | BSD | GPLv2"

>> -LIC_FILES_CHKSUM = "\

>> -    file://COPYING;md5=340948e1882e579731841bf49cdc22c1 \

>> -    file://BSDL;md5=19aaf65c88a40b508d17ae4be539c4b5\

>> -    file://GPL;md5=b234ee4d69f5fce4486a80fdaf4a4263\

>> -    file://LEGAL;md5=8f871f3f03732c018a5fa9b185958231 \

>> -"

>> +LIC_FILES_CHKSUM = "file://COPYING;md5=340948e1882e579731841bf49cdc22c1 \

>> +                    file://BSDL;md5=19aaf65c88a40b508d17ae4be539c4b5 \

>> +                    file://GPL;md5=b234ee4d69f5fce4486a80fdaf4a4263 \

>> +                    file://LEGAL;md5=23a79bb4c1a40f6cc9bcb6f4e7c39799 \

>> +                    "

>>

>>  DEPENDS = "ruby-native zlib openssl tcl libyaml gdbm readline"

>>  DEPENDS_class-native = "openssl-native libyaml-native"

>> diff --git a/meta/recipes-devtools/ruby/ruby_2.5.0.bb

>> b/meta/recipes-devtools/ruby/ruby_2.5.1.bb

>> similarity index 90%

>> rename from meta/recipes-devtools/ruby/ruby_2.5.0.bb

>> rename to meta/recipes-devtools/ruby/ruby_2.5.1.bb

>> index 1ac7f2aa5a..91048284c1 100644

>> --- a/meta/recipes-devtools/ruby/ruby_2.5.0.bb

>> +++ b/meta/recipes-devtools/ruby/ruby_2.5.1.bb

>> @@ -5,8 +5,8 @@ SRC_URI += " \

>>             file://ruby-CVE-2017-9228.patch \

>>             "

>>

>> -SRC_URI[md5sum] = "f4711f856fe14de222b9da3d3b8efa89"

>> -SRC_URI[sha256sum] =

>> "46e6f3630f1888eb653b15fa811d77b5b1df6fd7a3af436b343cfe4f4503f2ab"

>> +SRC_URI[md5sum] = "23867bc8c16c55e43b14dfe0614bcfa8"

>> +SRC_URI[sha256sum] =

>> "dac81822325b79c3ba9532b048c2123357d3310b2b40024202f360251d9829b1"

>>

>>  # it's unknown to configure script, but then passed to extconf.rb

>>  # maybe it's not really needed as we're hardcoding the result with

>> --

>> 2.17.0

>>

>> --

>> _______________________________________________

>> Openembedded-core mailing list

>> Openembedded-core@lists.openembedded.org

>> http://lists.openembedded.org/mailman/listinfo/openembedded-core

>

>

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Patch

diff --git a/meta/recipes-devtools/ruby/ruby.inc b/meta/recipes-devtools/ruby/ruby.inc
index fd3911ba75..a366e93f66 100644
--- a/meta/recipes-devtools/ruby/ruby.inc
+++ b/meta/recipes-devtools/ruby/ruby.inc
@@ -7,12 +7,11 @@  It is simple, straight-forward, and extensible. \
 HOMEPAGE = "http://www.ruby-lang.org/"
 SECTION = "devel/ruby"
 LICENSE = "Ruby | BSD | GPLv2"
-LIC_FILES_CHKSUM = "\
-    file://COPYING;md5=340948e1882e579731841bf49cdc22c1 \
-    file://BSDL;md5=19aaf65c88a40b508d17ae4be539c4b5\
-    file://GPL;md5=b234ee4d69f5fce4486a80fdaf4a4263\
-    file://LEGAL;md5=8f871f3f03732c018a5fa9b185958231 \
-"
+LIC_FILES_CHKSUM = "file://COPYING;md5=340948e1882e579731841bf49cdc22c1 \
+                    file://BSDL;md5=19aaf65c88a40b508d17ae4be539c4b5 \
+                    file://GPL;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
+                    file://LEGAL;md5=23a79bb4c1a40f6cc9bcb6f4e7c39799 \
+                    "
 
 DEPENDS = "ruby-native zlib openssl tcl libyaml gdbm readline"
 DEPENDS_class-native = "openssl-native libyaml-native"
diff --git a/meta/recipes-devtools/ruby/ruby_2.5.0.bb b/meta/recipes-devtools/ruby/ruby_2.5.1.bb
similarity index 90%
rename from meta/recipes-devtools/ruby/ruby_2.5.0.bb
rename to meta/recipes-devtools/ruby/ruby_2.5.1.bb
index 1ac7f2aa5a..91048284c1 100644
--- a/meta/recipes-devtools/ruby/ruby_2.5.0.bb
+++ b/meta/recipes-devtools/ruby/ruby_2.5.1.bb
@@ -5,8 +5,8 @@  SRC_URI += " \
            file://ruby-CVE-2017-9228.patch \
            "
 
-SRC_URI[md5sum] = "f4711f856fe14de222b9da3d3b8efa89"
-SRC_URI[sha256sum] = "46e6f3630f1888eb653b15fa811d77b5b1df6fd7a3af436b343cfe4f4503f2ab"
+SRC_URI[md5sum] = "23867bc8c16c55e43b14dfe0614bcfa8"
+SRC_URI[sha256sum] = "dac81822325b79c3ba9532b048c2123357d3310b2b40024202f360251d9829b1"
 
 # it's unknown to configure script, but then passed to extconf.rb
 # maybe it's not really needed as we're hardcoding the result with